<div class="alert alert-info">
    {$LANGTR.domaindnssecmanagementdesc}
</div>

{if $success}
    <div class="alert alert-info">
        {$success}
    </div>
{/if}

{foreach item=error from=$arr_error}
    <div class="alert alert-danger">
        {$error}
    </div>
{/foreach}

<table id="tableDomainsList" class="table table-list">
    <thead>
        <tr>
            <th>{$LANGTR.domain}</th>
            <th width="9%">{$LANGTR.keytag}</th>
            <th>{$LANGTR.algorithm}</th>
            <th>{$LANGTR.digesttype}</th>
            <th>{$LANGTR.digest}</th>
            <th>{$LANGTR.action}</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <form class="form-horizontal" method="post" action="{$modulelink}">
            <td>
                {$domainname}
                <input type="hidden" name="domain" value="{$domainname}">
            </td>
            <td><input type="text" name="keytag" value="{if isset($POST.keytag)}{$POST.keytag}{/if}" style="width: 75% !important; display: inline-block ! important;" size="3" class="form-control" required="" /> *</td>
            <td>
                <select name="algorithm" class="form-control">
                    {foreach key=key item=val from=$list_algorithm}
                    <option value="{$key}" {if isset($POST.algorithm) && $POST.algorithm == $key} selected="" {/if}>{$val}</option>
                    {/foreach}
                </select>
            </td>
            <td>
                <select name="digesttype" class="form-control">
                    {foreach key=key item=val from=$list_digesttype}
                    <option value="{$key}" {if isset($POST.digesttype) && $POST.digesttype == $key} selected="" {/if}>{$val}</option>
                    {/foreach}
                </select>
            </td>
            <td><input type="text" name="digest" value="{if isset($POST.digest)}{$POST.digest}{/if}" size="40" class="form-control" required="" /></td>
            <td><input type="submit" name="submit" value="{$LANGTR.clientareasavechanges}" class="btn btn-primary" /></td>
            </form>
        </tr>
        {foreach key=num item=data from=$dnssec}
        <tr>
            <td><a href="http://{$data.domain}" target="_blank">{$data.domain}</a></td>
            <td>{$data.keytag}</td>
            <td>{$data.algorithm_label}</td>
            <td>{$data.digesttype_label}</td>
            <td>{$data.digest}</td>
            <td>
                <form class="form-horizontal" method="post" action="{$modulelink}" onsubmit="return confirm('Are you sure?')">
                    <input type="hidden" name="domainname" value="{$domainname}" />
                    <input type="hidden" name="keytag" value="{$data.keytag}" />
                    <input type="hidden" name="algorithm" value="{$data.algorithm}" />
                    <input type="hidden" name="digesttype" value="{$data.digesttype}" />
                    <input type="hidden" name="digest" value="{$data.digest}" />
                    <input type="submit" name="submit" value="{$LANGTR.clientareadelete}" class="btn btn-danger btn-sm" />
                </form>
            </td>
        </tr>
        {/foreach}
    </tbody>
</table>
<p align="center">* Value of Keytag is numeric</p>
